/*
 * Copyright 2002-2006 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.springframework.webflow.execution.repository.continuation;

import org.springframework.webflow.execution.FlowExecution;

/**
 * A factory for creating different {@link FlowExecutionContinuation}
 * implementations.
 * 
 * @author Keith Donald
 */
public interface FlowExecutionContinuationFactory {

	/**
	 * Creates a new flow execution continuation.
	 * @param continuationId the assigned continuation id
	 * @param flowExecution the flow execution
	 * @return the continuation
	 */
	public FlowExecutionContinuation createContinuation(FlowExecution flowExecution) throws ContinuationCreationException;
}